CVE-2017-17521

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2017-17521
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2017-17521.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2017-17521
Published
2017-12-14T16:29:00Z
Modified
2024-06-30T13:04:22.590413Z
Severity
  • 8.8 (High) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS Calculator
Summary
[none]
Details

uiutil.c in FontForge through 20170731 does not validate strings before launching the program specified by the BROWSER environment variable, which might allow remote attackers to conduct argument-injection attacks via a crafted URL, a different vulnerability than CVE-2017-17534.

References

Affected packages

Debian:11 / fontforge

Package

Name
fontforge
Purl
pkg:deb/debian/fontforge?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

Other

1:20201107~dfsg-4
1:20201107~dfsg-4+deb11u1
1:20220308~dfsg-1
1:20230101~dfsg-1

1:20230101~dfsg-1.*

1:20230101~dfsg-1.1~deb12u1
1:20230101~dfsg-1.1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / fontforge

Package

Name
fontforge
Purl
pkg:deb/debian/fontforge?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

Other

1:20230101~dfsg-1

1:20230101~dfsg-1.*

1:20230101~dfsg-1.1~deb12u1
1:20230101~dfsg-1.1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / fontforge

Package

Name
fontforge
Purl
pkg:deb/debian/fontforge?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

Other

1:20230101~dfsg-1

1:20230101~dfsg-1.*

1:20230101~dfsg-1.1~deb12u1
1:20230101~dfsg-1.1

Ecosystem specific

{
    "urgency": "unimportant"
}

Git / github.com/fontforge/fontforge

Affected ranges

Type
GIT
Repo
https://github.com/fontforge/fontforge
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Last affected

Affected versions

2.*

2.0.20140101

Other

20140813
20141013
20141014
20141126
20141230
20150228
20150330
20150430
20150612
20150824
20160403
20160404
20160930
20161001
20161004
20161005
20161012
20170730
20170731
v20110222
v20120731-b

v2.*

v2.1.0